package com.bonus.material.basic.mapper;

import java.util.List;
import com.bonus.material.basic.domain.BmFileInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 附件Mapper接口
 * @author xsheng
 */
public interface BmFileInfoMapper {
    /**
     * 查询附件
     *
     * @param id 附件主键
     * @return 附件
     */
    BmFileInfo selectBmFileInfoById(Long id);

    /**
     * 查询附件列表
     *
     * @param bmFileInfo 附件
     * @return 附件集合
     */
    List<BmFileInfo> selectBmFileInfoList(BmFileInfo bmFileInfo);

    /**
     * 新增附件
     *
     * @param bmFileInfo 附件
     * @return 结果
     */
    int insertBmFileInfo(BmFileInfo bmFileInfo);

    int insertBmFileInfos(@Param("list") List<BmFileInfo> bmFileInfos);

    /**
     * 修改附件
     *
     * @param bmFileInfo 附件
     * @return 结果
     */
    int updateBmFileInfo(BmFileInfo bmFileInfo);

    /**
     * 删除附件
     *
     * @param id 附件主键
     * @return 结果
     */
    int deleteBmFileInfoById(Long id);

    /**
     * 批量删除附件

     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBmFileInfoByIds(Long[] ids);


    /**
     * 删除附件
     *
     * @param bmFileInfo 附件信息
     * @return 结果
     */
    int deleteBmFileInfoByBizInfo(BmFileInfo bmFileInfo);
}
